diff --git a/dlls/mfplat/tests/mfplat.c b/dlls/mfplat/tests/mfplat.c
index 8d21f2ed6..20577453f 100644
--- a/dlls/mfplat/tests/mfplat.c
+++ b/dlls/mfplat/tests/mfplat.c
@@ -2085,108 +2087,108 @@ static void test_file_stream(void)
     check_interface(bytestream, &IID_IMFGetService, TRUE);
 
     hr = IMFByteStream_GetCapabilities(bytestream, &caps);
-    ok(hr == S_OK, "Failed to get stream capabilities, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get stream capabilities, hr %#x.\n", hr);
     if (is_win8_plus)
     {
         ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE | MFBYTESTREAM_DOES_NOT_USE_NETWORK),
-            "Unexpected caps %#lx.\n", caps);
+            "Unexpected caps %#x.\n", caps);
     }
     else
-        ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#lx.\n", caps);
+        ok(caps == (MFBYTESTREAM_IS_READABLE | MFBYTESTREAM_IS_SEEKABLE), "Unexpected caps %#x.\n", caps);
 
     hr = IMFByteStream_QueryInterface(bytestream, &IID_IMFAttributes,
                                  (void **)&attributes);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(attributes != NULL, "got NULL\n");
 
     hr = IMFAttributes_GetCount(attributes, &count);
-    ok(hr == S_OK, "Failed to get attributes count, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attributes count, hr %#x.\n", hr);
     ok(count == 2, "Unexpected attributes count %u.\n", count);
 
     /* Original file name. */
     hr = IMFAttributes_GetAllocatedString(attributes, &MF_BYTESTREAM_ORIGIN_NAME, &str, &count);
-    ok(hr == S_OK, "Failed to get attribute, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attribute, hr %#x.\n", hr);
     ok(!lstrcmpW(str, filename), "Unexpected name %s.\n", wine_dbgstr_w(str));
     CoTaskMemFree(str);
 
     /* Modification time. */
     hr = IMFAttributes_GetItemType(attributes, &MF_BYTESTREAM_LAST_MODIFIED_TIME, &item_type);
-    ok(hr == S_OK, "Failed to get item type, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get item type, hr %#x.\n", hr);
     ok(item_type == MF_ATTRIBUTE_BLOB, "Unexpected item type.\n");
 
     IMFAttributes_Release(attributes);
 
     /* Length. */
     hr = IMFByteStream_GetLength(bytestream, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     bytestream_length = 0;
     hr = IMFByteStream_GetLength(bytestream, &bytestream_length);
-    ok(hr == S_OK, "Failed to get bytestream length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get bytestream length, hr %#x.\n", hr);
     ok(bytestream_length > 0, "Unexpected bytestream length %s.\n", wine_dbgstr_longlong(bytestream_length));
 
     hr = IMFByteStream_SetCurrentPosition(bytestream, bytestream_length);
-    ok(hr == S_OK, "Failed to set bytestream position, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set bytestream position, hr %#x.\n", hr);
 
     hr = IMFByteStream_IsEndOfStream(bytestream, &eos);
-    ok(hr == S_OK, "Failed query end of stream, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed query end of stream, hr %#x.\n", hr);
     ok(eos == TRUE, "Unexpected IsEndOfStream result, %u.\n", eos);
 
     hr = IMFByteStream_SetCurrentPosition(bytestream, 2 * bytestream_length);
-    ok(hr == S_OK, "Failed to set bytestream position, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set bytestream position, hr %#x.\n", hr);
 
     hr = IMFByteStream_GetCurrentPosition(bytestream, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFByteStream_GetCurrentPosition(bytestream, &position);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "Unexpected hr %#x.\n", hr);
     ok(position == 2 * bytestream_length, "Unexpected position.\n");
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST,
                       MF_FILEFLAGS_NONE, filename, &bytestream2);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     IMFByteStream_Release(bytestream2);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, filename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_READWRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, filename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     IMFByteStream_Release(bytestream);
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST,
                       MF_FILEFLAGS_NONE, newfilename, &bytestream);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_NOT_FOUND), "got 0x%08x\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_EXIST,
                       MF_FILEFLAGS_NONE, filename, &bytestream);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_EXISTS), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_FILE_EXISTS), "got 0x%08x\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_EXIST,
                       MF_FILEFLAGS_NONE, newfilename, &bytestream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, newfilename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, newfilename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_ALLOW_WRITE_SHARING,
             newfilename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     IMFByteStream_Release(bytestream);
 
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST,
                       MF_FILEFLAGS_ALLOW_WRITE_SHARING, newfilename, &bytestream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     /* Opening the file again fails even though MF_FILEFLAGS_ALLOW_WRITE_SHARING is set. */
     hr = MFCreateFile(MF_ACCESSMODE_WRITE, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_ALLOW_WRITE_SHARING,
             newfilename, &bytestream2);
-    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#lx.\n", hr);
+    ok(hr == HRESULT_FROM_WIN32(ERROR_SHARING_VIOLATION), "Unexpected hr %#x.\n", hr);
 
     IMFByteStream_Release(bytestream);
 
@@ -2194,15 +2196,15 @@ static void test_file_stream(void)
     lstrcpyW(pathW, fileschemeW);
     lstrcatW(pathW, filename);
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, pathW, &bytestream);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateFile(MF_ACCESSMODE_READ, MF_OPENMODE_FAIL_IF_NOT_EXIST, MF_FILEFLAGS_NONE, filename, &bytestream);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     ok(DeleteFileW(filename), "failed to delete file\n");
     IMFByteStream_Release(bytestream);
 
     hr = MFShutdown();
-    ok(hr == S_OK, "Failed to shut down, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to shut down, hr %#x.\n", hr);
 
     DeleteFileW(newfilename);
 }
@@ -2215,151 +2217,115 @@ static void test_system_memory_buffer(void)
     BYTE *data, *data2;
 
     hr = MFCreateMemoryBuffer(1024, NULL);
-    ok(hr == E_INVALIDARG || hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG || hr == E_POINTER, "got 0x%08x\n", hr);
 
     hr = MFCreateMemoryBuffer(0, &buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
     if(buffer)
     {
         hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-        ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-        ok(length == 0, "got %lu\n", length);
+        ok(hr == S_OK, "got 0x%08x\n", hr);
+        ok(length == 0, "got %u\n", length);
 
         IMFMediaBuffer_Release(buffer);
     }
 
     hr = MFCreateMemoryBuffer(1024, &buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     check_interface(buffer, &IID_IMFGetService, FALSE);
 
     hr = IMFMediaBuffer_GetMaxLength(buffer, NULL);
-    ok(hr == E_INVALIDARG || hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG || hr == E_POINTER, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(length == 1024, "got %lu\n", length);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(length == 1024, "got %u\n", length);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 1025);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 10);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer, NULL);
-    ok(hr == E_INVALIDARG || hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG || hr == E_POINTER, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer, &length);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(length == 10, "got %lu\n", length);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(length == 10, "got %u\n", length);
 
     length = 0;
     max = 0;
     hr = IMFMediaBuffer_Lock(buffer, NULL, &length, &max);
-    ok(hr == E_INVALIDARG || hr == E_POINTER, "Unexpected hr %#lx.\n", hr);
-    ok(length == 0, "got %lu\n", length);
-    ok(max == 0, "got %lu\n", length);
+    ok(hr == E_INVALIDARG || hr == E_POINTER, "got 0x%08x\n", hr);
+    ok(length == 0, "got %u\n", length);
+    ok(max == 0, "got %u\n", length);
 
     hr = IMFMediaBuffer_Lock(buffer, &data, &max, &length);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(length == 10, "got %lu\n", length);
-    ok(max == 1024, "got %lu\n", max);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(length == 10, "got %u\n", length);
+    ok(max == 1024, "got %u\n", max);
 
     /* Attempt to lock the buffer twice */
     hr = IMFMediaBuffer_Lock(buffer, &data2, &max, &length);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(data == data2, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(data == data2, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer, &data, NULL, NULL);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     /* Extra Unlock */
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     IMFMediaBuffer_Release(buffer);
-}
-
-static void test_system_memory_aligned_buffer(void)
-{
-    static const DWORD alignments[] =
-    {
-        MF_16_BYTE_ALIGNMENT,
-        MF_32_BYTE_ALIGNMENT,
-        MF_64_BYTE_ALIGNMENT,
-        MF_128_BYTE_ALIGNMENT,
-        MF_256_BYTE_ALIGNMENT,
-        MF_512_BYTE_ALIGNMENT,
-    };
-    IMFMediaBuffer *buffer;
-    DWORD length, max;
-    unsigned int i;
-    BYTE *data;
-    HRESULT hr;
 
+    /* Aligned buffer. */
     hr = MFCreateAlignedMemoryBuffer(16, MF_8_BYTE_ALIGNMENT, NULL);
-    ok(FAILED(hr), "Unexpected hr %#lx.\n", hr);
+    ok(FAILED(hr), "Unexpected hr %#x.\n", hr);
 
     hr = MFCreateAlignedMemoryBuffer(201, MF_8_BYTE_ALIGNMENT, &buffer);
-    ok(hr == S_OK, "Failed to create memory buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create memory buffer, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_GetCurrentLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get current length, hr %#lx.\n", hr);
-    ok(length == 0, "Unexpected current length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get current length, hr %#x.\n", hr);
+    ok(length == 0, "Unexpected current length %u.\n", length);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 1);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
     hr = IMFMediaBuffer_GetCurrentLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get current length, hr %#lx.\n", hr);
-    ok(length == 1, "Unexpected current length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get current length, hr %#x.\n", hr);
+    ok(length == 1, "Unexpected current length %u.\n", length);
 
     hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get max length, hr %#lx.\n", hr);
-    ok(length == 201, "Unexpected max length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get max length, hr %#x.\n", hr);
+    ok(length == 201, "Unexpected max length %u.\n", length);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 202);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
     hr = IMFMediaBuffer_GetMaxLength(buffer, &length);
-    ok(hr == S_OK, "Failed to get max length, hr %#lx.\n", hr);
-    ok(length == 201, "Unexpected max length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get max length, hr %#x.\n", hr);
+    ok(length == 201, "Unexpected max length %u.\n", length);
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 10);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
 
     hr = IMFMediaBuffer_Lock(buffer, &data, &max, &length);
-    ok(hr == S_OK, "Failed to lock, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to lock, hr %#x.\n", hr);
     ok(max == 201 && length == 10, "Unexpected length.\n");
     hr = IMFMediaBuffer_Unlock(buffer);
-    ok(hr == S_OK, "Failed to unlock, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to unlock, hr %#x.\n", hr);
 
     IMFMediaBuffer_Release(buffer);
-
-    for (i = 0; i < ARRAY_SIZE(alignments); ++i)
-    {
-        hr = MFCreateAlignedMemoryBuffer(200, alignments[i], &buffer);
-        ok(hr == S_OK, "Failed to create memory buffer, hr %#lx.\n", hr);
-
-        hr = IMFMediaBuffer_Lock(buffer, &data, &max, &length);
-        ok(hr == S_OK, "Failed to lock, hr %#lx.\n", hr);
-        ok(max == 200 && !length, "Unexpected length.\n");
-        ok(!((uintptr_t)data & alignments[i]), "Data at %p is misaligned.\n", data);
-        hr = IMFMediaBuffer_Unlock(buffer);
-        ok(hr == S_OK, "Failed to unlock, hr %#lx.\n", hr);
-
-        IMFMediaBuffer_Release(buffer);
-    }
-
-    hr = MFCreateAlignedMemoryBuffer(200, 0, &buffer);
-    ok(hr == S_OK, "Failed to create memory buffer, hr %#lx.\n", hr);
-    IMFMediaBuffer_Release(buffer);
 }
 
 static void test_sample(void)
@@ -2374,101 +2340,101 @@ static void test_sample(void)
     BYTE *data;
 
     hr = MFCreateSample( &sample );
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
 
     hr = IMFSample_QueryInterface(sample, &IID_IMFAttributes, (void **)&attributes);
-    ok(hr == S_OK, "Failed to get attributes interface, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get attributes interface, hr %#x.\n", hr);
 
     CHECK_ATTR_COUNT(attributes, 0);
 
     hr = IMFSample_GetBufferCount(sample, NULL);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Unexpected hr %#lx.\n", hr);
-    ok(count == 0, "got %ld\n", count);
+    ok(hr == S_OK, "got 0x%08x\n", hr);
+    ok(count == 0, "got %d\n", count);
 
     hr = IMFSample_GetSampleFlags(sample, &flags);
-    ok(hr == S_OK, "Failed to get sample flags, hr %#lx.\n", hr);
-    ok(!flags, "Unexpected flags %#lx.\n", flags);
+    ok(hr == S_OK, "Failed to get sample flags, hr %#x.\n", hr);
+    ok(!flags, "Unexpected flags %#x.\n", flags);
 
     hr = IMFSample_SetSampleFlags(sample, 0x123);
-    ok(hr == S_OK, "Failed to set sample flags, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set sample flags, hr %#x.\n", hr);
     hr = IMFSample_GetSampleFlags(sample, &flags);
-    ok(hr == S_OK, "Failed to get sample flags, hr %#lx.\n", hr);
-    ok(flags == 0x123, "Unexpected flags %#lx.\n", flags);
+    ok(hr == S_OK, "Failed to get sample flags, hr %#x.\n", hr);
+    ok(flags == 0x123, "Unexpected flags %#x.\n", flags);
 
     hr = IMFSample_GetSampleTime(sample, &time);
-    ok(hr == MF_E_NO_SAMPLE_TIMESTAMP, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NO_SAMPLE_TIMESTAMP, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_GetSampleDuration(sample, &time);
-    ok(hr == MF_E_NO_SAMPLE_DURATION, "Unexpected hr %#lx.\n", hr);
+    ok(hr == MF_E_NO_SAMPLE_DURATION, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferByIndex(sample, 0, &buffer);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_RemoveBufferByIndex(sample, 0);
-    ok(hr == E_INVALIDARG, "Unexpected hr %#lx.\n", hr);
+    ok(hr == E_INVALIDARG, "Unexpected hr %#x.\n", hr);
 
     hr = IMFSample_RemoveAllBuffers(sample);
-    ok(hr == S_OK, "Failed to remove all, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to remove all, hr %#x.\n", hr);
 
     hr = IMFSample_GetTotalLength(sample, &length);
-    ok(hr == S_OK, "Failed to get total length, hr %#lx.\n", hr);
-    ok(!length, "Unexpected total length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get total length, hr %#x.\n", hr);
+    ok(!length, "Unexpected total length %u.\n", length);
 
     hr = MFCreateMemoryBuffer(16, &buffer);
-    ok(hr == S_OK, "Failed to create buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to create buffer, hr %#x.\n", hr);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFSample_AddBuffer(sample, buffer);
-    ok(hr == S_OK, "Failed to add buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to add buffer, hr %#x.\n", hr);
 
     hr = IMFSample_GetBufferCount(sample, &count);
-    ok(hr == S_OK, "Failed to get buffer count, hr %#lx.\n", hr);
-    ok(count == 2, "Unexpected buffer count %lu.\n", count);
+    ok(hr == S_OK, "Failed to get buffer count, hr %#x.\n", hr);
+    ok(count == 2, "Unexpected buffer count %u.\n", count);
 
     hr = IMFSample_GetBufferByIndex(sample, 0, &buffer2);
-    ok(hr == S_OK, "Failed to get buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get buffer, hr %#x.\n", hr);
     ok(buffer2 == buffer, "Unexpected object.\n");
     IMFMediaBuffer_Release(buffer2);
 
     hr = IMFSample_GetTotalLength(sample, &length);
-    ok(hr == S_OK, "Failed to get total length, hr %#lx.\n", hr);
-    ok(!length, "Unexpected total length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get total length, hr %#x.\n", hr);
+    ok(!length, "Unexpected total length %u.\n", length);
 
     hr = IMFMediaBuffer_SetCurrentLength(buffer, 2);
-    ok(hr == S_OK, "Failed to set current length, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set current length, hr %#x.\n", hr);
 
     hr = IMFSample_GetTotalLength(sample, &length);
-    ok(hr == S_OK, "Failed to get total length, hr %#lx.\n", hr);
-    ok(length == 4, "Unexpected total length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get total length, hr %#x.\n", hr);
+    ok(length == 4, "Unexpected total length %u.\n", length);
 
     hr = IMFSample_RemoveBufferByIndex(sample, 1);
-    ok(hr == S_OK, "Failed to remove buffer, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to remove buffer, hr %#x.\n", hr);
 
     hr = IMFSample_GetTotalLength(sample, &length);
-    ok(hr == S_OK, "Failed to get total length, hr %#lx.\n", hr);
-    ok(length == 2, "Unexpected total length %lu.\n", length);
+    ok(hr == S_OK, "Failed to get total length, hr %#x.\n", hr);
+    ok(length == 2, "Unexpected total length %u.\n", length);
 
     IMFMediaBuffer_Release(buffer);
 
     /* Duration */
     hr = IMFSample_SetSampleDuration(sample, 10);
-    ok(hr == S_OK, "Failed to set duration, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set duration, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 0);
     hr = IMFSample_GetSampleDuration(sample, &time);
-    ok(hr == S_OK, "Failed to get sample duration, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get sample duration, hr %#x.\n", hr);
     ok(time == 10, "Unexpected duration.\n");
 
     /* Timestamp */
     hr = IMFSample_SetSampleTime(sample, 1);
-    ok(hr == S_OK, "Failed to set timestamp, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to set timestamp, hr %#x.\n", hr);
     CHECK_ATTR_COUNT(attributes, 0);
     hr = IMFSample_GetSampleTime(sample, &time);
-    ok(hr == S_OK, "Failed to get sample time, hr %#lx.\n", hr);
+    ok(hr == S_OK, "Failed to get sample time, hr %#x.\n", hr);
     ok(time == 1, "Unexpected timestamp.\n");
 
     IMFAttributes_Release(attributes);
